Subject: Re: [bitcoin-dev] Process for BIP number allocation

From: Peter Todd <[email-masked]>
Date: Thu, 23 Jul 2015 19:29:05 +0000

On 23 July 2015 06:21:55 GMT-04:00, Kalle Rosenbaum via bitcoin-dev <[email-masked]> wrote:
>Hi all
>
>I suggest that we add to the "BIP Editor Responsibilities & Workflow"
>section of BIP0001 that if the BIP editor for some reason won't handle
>the BIP within a week, he/she should notify the author within that
>same week with an estimate on when it will be handled.
>
>Maybe we could extend it to two weeks instead, the important thing is
>that the author knows what to expect.
>
>I'm trying to get BIP numbers allocated for Proof of Payment. I have
>requested it from the BIP editor Gregory Maxwell with CC this list. I
>also emailed Gregory in private about it. So far I have not seen any
>reaction to my requests.

To be clear, where is an implementation of your proposed BIP?

The philosophy of the process - particularly for non-consensus BIPs - is running code, preferably in production. An actual number for the standard that code implements isn't a barrier to that process.

Remember that it's convenient for all if the number of BIPs out there isn't significantly higher than the number of actual standards in place that are being used.